﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 (1 yr) Crosstalk VER VISA /9500
DATE:                  2018-03-16 12:27:12
AUTHOR:                Fluke
REVISION:              $Revision: 23114 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       141
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models Covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# This test assumes that a 9500 head is already connected to the input
# channel under test, and that a 50 Ω termination is also connected to the
# DUT RF Input.

# These statements are here to force the procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         50kH                         1Vpp           LS    S  L
  1.003  ENDIF

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  HEAD         {CROSSTALK TO RF CHANNEL FROM ANALOG CHANNELS}
  1.007  ELSE
  1.008  HEAD         CROSSTALK TO RF CHANNEL FROM ANALOG CHANNELS
  1.009  ENDIF

  1.010  RSLT         =
  1.011  HEAD         -2{Channel [V @Chan]}
  1.012  TARGET       -p
  1.013  VISA         *CLS;*RST;*OPC?[I!]
  1.014  VISA         ACQUIRE:STATE OFF;STOPAFTER SEQUENCE
  1.015  VISA         HEADER OFF;:CLEARM;:CH[V @Chan]:TERMINATION 50
# Configure oscilloscope acquisition system for average mode.
  1.016  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
  1.017  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 OFF
  1.018  VISA         SELECT:RF_AVERAGE ON;RF_NORMAL OFF
  1.019  VISA         RF:SPAN 50E+6;UNITS DBM
# Configure DUT marker system.
  1.020  VISA         MARKER:PEAK:STATE ON;THRESHOLD -150;EXCURSION 0;MAX 1
  1.021  VISA         MARKER:TYPE ABSOLUTE
  1.022  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.023  JMPL         END                          @Abort

  1.024  MATH         @Freq = "100 MHz"; @Limit = -68
  1.025  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.026  JMPL         END                          @Abort
  1.027  MATH         @Freq = "200 MHz"
  1.028  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.029  JMPL         END                          @Abort
  1.030  MATH         @Freq = "300 MHz"
  1.031  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.032  JMPL         END                          @Abort
  1.033  MATH         @Freq = "400 MHz"
  1.034  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.035  JMPL         END                          @Abort
  1.036  MATH         @Freq = "500 MHz"
  1.037  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.038  JMPL         END                          @Abort
  1.039  MATH         @Freq = "600 MHz"
  1.040  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.041  JMPL         END                          @Abort
  1.042  MATH         @Freq = "700 MHz"
  1.043  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.044  JMPL         END                          @Abort
  1.045  MATH         @Freq = "800 MHz"
  1.046  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.047  JMPL         END                          @Abort
  1.048  MATH         @Freq = "900 MHz"
  1.049  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.050  JMPL         END                          @Abort

  1.051  MATH         @Freq = "1.0 GHz"; @Limit = -48
  1.052  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.053  JMPL         END                          @Abort
  1.054  MATH         @Freq = "1.1 GHz"
  1.055  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.056  JMPL         END                          @Abort
  1.057  MATH         @Freq = "1.2 GHz"
  1.058  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.059  JMPL         END                          @Abort
  1.060  MATH         @Freq = "1.3 GHz"
  1.061  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.062  JMPL         END                          @Abort
  1.063  MATH         @Freq = "1.4 GHz"
  1.064  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.065  JMPL         END                          @Abort
  1.066  MATH         @Freq = "1.5 GHz"
  1.067  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.068  JMPL         END                          @Abort
  1.069  MATH         @Freq = "1.6 GHz"
  1.070  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.071  JMPL         END                          @Abort
  1.072  MATH         @Freq = "1.7 GHz"
  1.073  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.074  JMPL         END                          @Abort
  1.075  MATH         @Freq = "1.8 GHz"
  1.076  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.077  JMPL         END                          @Abort
  1.078  MATH         @Freq = "1.9 GHz"
  1.079  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500
  1.080  JMPL         END                          @Abort
  1.081  MATH         @Freq = "2.0 GHz"
  1.082  CALL         Sub Tek MDO4000 Crosstalk Test VISA /9500

  1.083  LABEL        END
  1.084  HEAD         -2
  1.085  9500         *                                                 S
  1.086  MATH         DEL("@Freq"); DEL("@Limit")
  1.087  HEAD
  1.088  END
