﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 (1 yr) Phase Noise VER VISA /LO
INSTRUMENT:            Sub Tek MDO4000B (1 yr) Phase Noise VER VISA /LO
DATE:                  2018-02-08 11:13:55
AUTHOR:                Fluke
REVISION:              $Revision: 23043 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       119
CONFIGURATION:         Local Oscillator
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models covered:
#      MDO4014-3,  MDO4034-3,  MDO4054-3,  MDO4054-6,  MDO4104-3,  MDO4104-6
#      MDO4014B-3, MDO4034B-3, MDO4054B-3, MDO4054B-6, MDO4104B-3, MDO4104B-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        Cable, 1-2 GHz CW, appropriate length and connector type to support
#            the flexible LO output and DUT RF In.
#        Cable, BNC (m)-(m), 50 Ω, 36", 10 MHz
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /LO
  1.005  CALL         Sub Reset /LO

  1.006  RSLT         =
  1.007  HEAD         {PHASE NOISE}

  1.008  IF           PSUBI("MDO4000B")
  1.009  MATH         @LO_Freq = "1 GHz"
  1.010  ELSE
  1.011  MATH         @LO_Freq = "2 GHz"
  1.012  ENDIF

  1.013  MATH         @LO_Ampl = "0 dBm"; @Connection = "mdo4000_lo_direct"
  1.014  MATH         @LO_ROSC =  "Int"

  1.015  JMPL         CONTINUE
  1.016  EVAL   Force connection message on Repeat/Cancel.
  2.001  MATH         @Connected = ""; @Time = ""
  2.002  LABEL        CONTINUE

  2.003  VISA         *CLS;*RST;*OPC?[I!]
  2.004  VISA         ACQUIRE:STATE OFF;STOPAFTER SEQUENCE
  2.005  VISA         ROSC:SOURCE EXTERNAL
  2.006  VISA         HEADER OFF;:CLEARM;:SELECT:CH1 OFF
  2.007  VISA         SEL:RF_AVE ON;RF_NORM OFF
  2.008  VISA         RF:UNITS DBM;SCALE 10;REFLEVEL 0
# Configure oscilloscope acquisition system for average mode.
  2.009  VISA         ACQ:MODE AVE;NUMAV 16

  2.010  MATH         FreqHz = BASE(@LO_Freq)
  2.011  VISA         RF:FREQUENCY [V FreqHz]
  2.012  VISA         MARKER:MANUAL ON;TYPE DELTA
  2.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.014  JMPL         END                          @Abort

  2.015  CALL         Sub Tek MDO4000 Check and Display Connection

  2.016  IF           PSUBI("MDO4000B")
  2.017  MATH         @Limit = -108
  2.018  ELSE
  2.019  MATH         @Limit = -90
  2.020  ENDIF

  2.021  MATH         @Offset = "10 kHz"; @Span = "50 kHz"; @RBW = "250 Hz"
  2.022  CALL         Sub Tek MDO4000 Phase Noise Test VISA /LO

  2.023  IF           PSUBI("MDO4000B")
  2.024  MATH         @Limit = -110
  2.025  ELSE
  2.026  MATH         @Limit = -95
  2.027  ENDIF

  2.028  MATH         @Offset = "100 kHz"; @Span = "500 kHz"; @RBW = "1 kHz"
  2.029  CALL         Sub Tek MDO4000 Phase Noise Test VISA /LO

  2.030  IF           PSUBI("MDO4000B")
  2.031  MATH         @Limit = -120
  2.032  ELSE
  2.033  MATH         @Limit = -113
  2.034  ENDIF

  2.035  MATH         @Offset = "1 MHz"; @Span = "5 MHz"; @RBW = "50 kHz"
  2.036  CALL         Sub Tek MDO4000 Phase Noise Test VISA /LO

  2.037  LABEL        END
  2.038  HEAD         -2
  2.039  CALL         Sub Output Off /LO
  2.040  MATH         DEL("@Offset"); DEL("@Span"); DEL("@RBW"); DEL("@Limit")
  2.041  HEAD
  2.042  END
