﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO/MSO/DPO Self-Test VISA
INSTRUMENT:            Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
INSTRUMENT:            Sub Tek MDO/MSO/DPO Select Channel VISA
DATE:                  2018-03-16 07:15:48
AUTHOR:                Fluke
REVISION:              $Revision: 23111 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       210
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        MDO/MSO/DPO
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Signal Path Comp")
  1.003  JMPL         SELECT_CHANNEL               PSUBI("Select Channel")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment test number

# =====  Sub Tek MDO/MSO/DPO Self-Test VISA  =================================

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
  2.005  MATH         @Abort = 0

# Select all available diagnostics (by model) and start self-test.
  2.006  MATH         LeadingDigit = SUB(@ModelNum, 4, 1)

  2.007  MATH         Series2000 = ZCMP(LeadingDigit, "2")
  2.008  MATH         Series3000 = ZCMP(LeadingDigit, "3")
  2.009  MATH         Series4000 = ZCMP(LeadingDigit, "4")
  2.010  MATH         Series5000 = ZCMP(LeadingDigit, "5")
  2.011  MATH         Series6000 = ZCMP(LeadingDigit, "6")
  2.012  MATH         Series7000 = ZCMP(LeadingDigit, "7")

  2.013  MATH         @Timeout = 150000

  2.014  DISP         Remove all input signals from the DUT
  2.014  DISP         and select advance for the Self-Test

# MSO/DPO2000, MSO/DPO2000B, MSO/DPO3000, MSO/DPO4000B, MDO4000
  2.015  IF           Series2000 || Series3000 || Series4000
  2.016  MATH         @Cmd = "DIA:SEL ALL;LOOP:OPT ONCE;:DIA:STATE EXECUTE"
# MSO/DPO5000, DPO7000, MSO/DPO/DSA70000
  2.017  ELSEIF       Series5000 || Series7000
  2.018  MATH         @Cmd = "DIA:SEL:ALL ALL;:DIA:STATE EXECUTE"

  2.019  ELSE
  2.020  DISP         Sub Tek MDO/MSO/DPO Self-Test VISA
  2.020  DISP
  2.020  DISP         Unrecognized model number "[V @ModelNum]".
  2.020  DISP
  2.020  DISP         Select "Advance" to abort this procedure.
  2.021  MATH         @Abort = 1
  2.022  END
  2.023  ENDIF

  2.024  WAIT         [D2000]

  2.025  CALL         Sub Wait for Operation Complete (OPC) VISA 488.2

  2.026  IF           Series2000 || Series3000 || Series4000
  2.027  VISA         [T5000]DIA:RESU:FLAG?[I$]
  2.028  ELSEIF       Series5000 || Series7000
  2.029  VISA         [T5000]DIA:RES?[I$]
  2.030  ELSE
  2.031  END
  2.032  ENDIF
  2.033  EVAL   -e FINDI(MEM2, "Pass", 1) : SELF TEST

  3.001  IF           FAIL()
  3.002  DISP         The DUT SELF-TEST failed!
  3.002  DISP
  3.002  DISP         The DUT may need to be serviced.
  3.002  DISP
  3.002  DISP         Select "Advance" to terminate this procedure.
  3.003  MATH         @Abort = 1
  3.004  ENDIF

  3.005  HEAD
  3.006  CALL         Sub Tek MDO/MSO/DPO Clear Menu VISA
  3.007  END

  3.008  EVAL   Increment test number

# =====  Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA  ======================

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
  4.002  MATH         @Abort = 0

  4.003  IF           ISVAR("@TimeSPC_Completed")
  4.004  MATH         CurrentTime = UTIME()
  4.005  MATH         TimeElapsedSinceSPC = CurrentTime - @TimeSPC_Completed

#Convert time elapsed into number of weeks
  4.006  MATH         TimeElapsedSinceSPC = (TimeElapsedSinceSPC/604800)

#Do not run the SPC routine if it has been run within the week.
  4.007  IF           ( TimeElapsedSinceSPC < 1)
  4.008  END
  4.009  ENDIF
  4.010  ENDIF

  4.011  OPBR         -z You must perform Signal Path Compensation (SPC)
  4.011  OPBR         before proceeding.
  4.011  OPBR
  4.011  OPBR         Has SPC been performed? [NO]

  4.012  IF           NOT(MEM1)
  4.013  RSLT         =
  4.014  HEAD         SIGNAL PATH COMPENSATION
  4.015  TARGET

  4.016  VISA         [T5000]*CLS;*RST;

  4.017  DISP         Select advance for the
  4.017  DISP         DUT Signal Path Compensation (SPC) routine.

  4.018  MATH         @Cmd = "CAL:INTERN:STAR"

  4.019  MATH         @Timeout = 600000
  4.020  CALL         Sub Wait for Operation Complete (OPC) VISA 488.2

  4.021  VISA         [T5000]*CLS;*RST;CAL:RES:SPC?[I$]
  4.022  EVAL   -e FINDI(MEM2, "PASS", 1) : SIGNAL PATH COMPENSATION

  5.001  IF           FAIL()
  5.002  DISP         DUT SIGNAL PATH COMPENSATION FAILED!
  5.002  DISP
  5.002  DISP         The DUT may need to be serviced.
  5.002  DISP
  5.002  DISP         Select "Advance" to terminate this procedure.
  5.003  MATH         @Abort = 1
  5.004  ENDIF

  5.005  MATH         @TimeSPC_Completed = UTIME()


  5.006  HEAD
  5.007  ENDIF

  5.008  END

  5.009  EVAL   Increment test number

# =====  Sub Tek MDO/MSO/DPO Select Channel VISA  ============================

  6.001  LABEL        SELECT_CHANNEL
  6.002  VISA         *CLS;*RST;*OPC?[I!]
  6.003  VISA         HEADER OFF

# Select ON/OFF based on whether DUT is 2 or 4 channel.
  6.004  IF           @NumChan < 4

  6.005  IF           @Chan == 1
  6.006  VISA         SELECT:CH1 ON;CH2 OFF
  6.007  ELSE
  6.008  VISA         SELECT:CH1 OFF;CH2 ON
  6.009  ENDIF

  6.010  ELSE

  6.011  IF           @Chan == 1
  6.012  VISA         SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  6.013  ELSEIF       @Chan == 2
  6.014  VISA         SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  6.015  ELSEIF       @Chan == 3
  6.016  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  6.017  ELSE
  6.018  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  6.019  ENDIF

  6.020  ENDIF

  6.021  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.022  WAIT         [D1000]

  6.023  LABEL        END
  6.024  END
